package org.example.utils;

import com.microsoft.playwright.Browser;
import com.microsoft.playwright.BrowserType;
import com.microsoft.playwright.Page;
import com.microsoft.playwright.Playwright;

public class TestContext {
    public Playwright playwright = Playwright.create();
    public Browser browser;
    public Page page;
    /***
     * TestContext returns the Playwright browser driver, and a page for executing steps
     * @param driver: a string indiciating the kind of browser you want
     * @param headless: a boolean indicating whether you'd like the browser headless or not
     *
     */
    public TestContext(String driver, boolean headless){
        try {
            switch (driver) {
                case "webkit":  browser =
                        playwright.webkit().launch(new BrowserType.LaunchOptions().setHeadless(headless));
                case "chromium": browser =
                        playwright.chromium().launch(new BrowserType.LaunchOptions().setHeadless(headless));
                case "firefox": browser =
                        playwright.firefox().launch(new BrowserType.LaunchOptions().setHeadless(headless));
                default: browser = playwright.webkit().launch();
            }
            page = browser.newPage();
        } catch (Exception e) {
            System.out.println(e.getMessage());
        }

    }
}
